=== debian/changelog ===
cpufetch (1.0+git20211101+a5b321a9668f-3) unstable; urgency=medium

  * Upload to unstable.

 -- Clay Stan <claystan97@gmail.com>  Thu, 18 Nov 2021 17:45:52 +0800

cpufetch (1.0+git20211101+a5b321a9668f-2) experimental; urgency=medium

  * Fix the problematic patch.
  * Fix build failed on armel,armhf,arm64,ppc64,powerpc,ppc64el.

 -- Clay Stan <claystan97@gmail.com>  Thu, 18 Nov 2021 16:57:45 +0800

cpufetch (1.0+git20211101+a5b321a9668f-1) unstable; urgency=medium

  * Newest upstream commit a5b321a9668f.
  * Some known bugs may be fixed.
  * use_cc_dumpmachine (Closes: #999880).
  * bug 998722 fixed-upstream (Closes: 998722).

 -- Clay Stan <claystan97@gmail.com>  Thu, 18 Nov 2021 13:56:19 +0800

cpufetch (1.0-1) unstable; urgency=medium

  * New upstream version 1.0.
  * add support for powerpc, Apple M1.

 -- Clay Stan <claystan97@gmail.com>  Wed, 08 Sep 2021 14:10:49 +0800

cpufetch (0.98-1) unstable; urgency=medium

  * Initial release (Closes: #986783)

 -- Clay Stan <claystan97@gmail.com>  Mon, 12 Apr 2021 14:50:05 +0800
