## cpufetch 1.01+git20211208+40b13bc

=== debian/changelog ===
cpufetch (1.01+git20211208+40b13bc-2) unstable; urgency=medium

  * Upload to unstable.

 -- Clay Stan <claystan97@gmail.com>  Tue, 21 Dec 2021 15:54:49 +0800

cpufetch (1.01+git20211208+40b13bc-1) unstable; urgency=medium

  * New upstream commit 40b13bc.

 -- Clay Stan <claystan97@gmail.com>  Tue, 21 Dec 2021 15:10:21 +0800
