=== debian/control ===
Source: cpufetch
Section: utils
Priority: optional
Maintainer: Clay Stan <claystan97@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Homepage: https://github.com/Dr-Noob/cpufetch
Vcs-Browser: https://salsa.debian.org/claystan/cpufetch
Vcs-Git: https://salsa.debian.org/claystan/cpufetch.git
Rules-Requires-Root: no

Package: cpufetch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple yet fancy CPU architecture fetching tool
 Shows CPU Information with CPU manufacturer Logo
 Cpufetch is a cross-platform and easy-to-use cpu information
 command line script that collects your cpu information
 and display it on the terminal next to an image
