## cpufetch 1.01+git20220306+0ea0754

=== debian/changelog ===
cpufetch (1.01+git20220306+0ea0754-1) unstable; urgency=medium

  * d/copyright: Upstream copyright have been changed.
  * Upload to unstable.

 -- Clay Stan <claystan97@gmail.com>  Fri, 15 Apr 2022 11:30:03 +0800
