=== debian/changelog ===
cpufetch (1.02-1) unstable; urgency=medium

  * New upstream version 1.02.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 09:51:53 +0800
