=== debian/changelog ===
cpufetch (1.03-4) unstable; urgency=medium

  * fixed build on ppc.

 -- Clay Stan <claystan97@gmail.com>  Thu, 16 Mar 2023 13:47:04 +0800

cpufetch (1.03-3) unstable; urgency=medium

  * fix a typo(upstraeam)> upstream) in changelog 1.03-2

 -- Clay Stan <claystan97@gmail.com>  Wed, 08 Mar 2023 16:06:02 +0800

cpufetch (1.03-2) unstable; urgency=medium

  * fix a typo(upstarma -> upstraeam) in changelog 1.03-1.

 -- Clay Stan <claystan97@gmail.com>  Fri, 24 Feb 2023 03:45:13 +0800

cpufetch (1.03-1) unstable; urgency=medium

  * New upstraeam version 1.03.

 -- Clay Stan <claystan97@gmail.com>  Thu, 23 Feb 2023 17:14:15 +0800
