=== debian/changelog ===
cpufetch (1.04-1) unstable; urgency=medium

  * New upstream version 1.04.
  * Added preliminary support for RISC-V.
  * Significantly improved Allwiner SoC detection.
  * Added Rockchip SoC detection.

 -- Clay Stan <claystan97@gmail.com>  Sat, 26 Aug 2023 23:27:54 +0800
