## cpufetch 1.05

=== debian/changelog ===
cpufetch (1.05-2) unstable; urgency=medium

  * Enable RISC-V build.

 -- Clay Stan <claystan97@gmail.com>  Wed, 08 May 2024 09:25:12 +0800

cpufetch (1.05-1) unstable; urgency=medium

  * New upstream version 1.05.
  * [ARM] Improved peak performance computation.
  * [ARM] Improved Rockchip and Allwinner detection (thanks ThomasKaiser!).
  * [ARM] Added support for Google Tensor SoCs.
  * [ARM and x86] Added new uarchs.
  * [ARM and x86] Improved error reporting in the case of unknown uarchs.
  * [RISCV] Implemented support for multi-letter extensions.
  * [All] Fixed various bugs.

 -- Clay Stan <claystan97@gmail.com>  Mon, 19 Feb 2024 09:51:39 +0800
