=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Clay Stan <claystan97@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/Dr-Noob/cpufetch
 Vcs-Browser: https://salsa.debian.org/claystan/cpufetch
 Vcs-Git: https://salsa.debian.org/claystan/cpufetch.git
 Rules-Requires-Root: no
 
 Package: cpufetch
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el x32 riscv64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple yet fancy CPU architecture fetching tool
  Shows CPU Information with CPU manufacturer Logo
