=== debian/changelog ===
cpufetch (1.06-2) unstable; urgency=medium

  * Update build Architecture to any (Closes: #1031673).

 -- Clay Stan <claystan97@gmail.com>  Tue, 11 Mar 2025 16:53:01 +0800

cpufetch (1.06-1) unstable; urgency=medium

  * New upstream version 1.06.
  * [ARM] Added support for inferring the SoC from the uarch.
  * [ARM] Added support for inferring the SoC from PCI devices (#245).
  * [ARM] Added support for SVE detection (#259).
  * [X86] Significantly improved support for old x86 CPUs (#220).
  * [X86] Added support for Hygon CPUs (#244).
  * [ARM and X86] Added support for measuring max CPU frequency (#220).
  * [ARM and X86] Added --measure-max-freq option to manually trigger CPU max frequency measurement.
  * [All] Added support for NO_COLOR (#227).

 -- Clay Stan <claystan97@gmail.com>  Wed, 09 Oct 2024 10:34:24 +0800

cpufetch (1.05-3) unstable; urgency=medium

  * Refresh patch for build RISCV.

 -- Clay Stan <claystan97@gmail.com>  Wed, 08 May 2024 11:01:43 +0800
