=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 
 Package: cpufetch
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el x32 riscv64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple yet fancy CPU architecture fetching tool
  Shows CPU Information with CPU manufacturer Logo
