=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cpufetch-$1\.tar\.gz/ \
  https://github.com/Dr-Noob/cpufetch/tags \
 .*/v?(\d\S+)\.tar\.gz debian uupdate
