## cpufetch 1.07

=== debian/changelog ===
cpufetch (1.07-2) unstable; urgency=medium

  * Fix the build on ppc64 (Closes: 1123864).

 -- Clay Stan <claystan97@gmail.com>  Wed, 21 Jan 2026 06:55:22 -0500

cpufetch (1.07-1) unstable; urgency=medium

  * [Apple] Implement fallback frequency calculation
  * [X86] Add old Intel and AMD CPUs
  * [X86] Fix 2 bugs in --accurate-pp
  * [ARM] Add (experimental) Windows on Arm support
  * [ARM] Add support for a lot of new SoCs
  * [ARM] Add automatic SoC inferring from device tree
  * [RISCV] Significantly improved support for RISC-V, specially uarch detection and multi-letter extension support.

 -- Clay Stan <claystan97@gmail.com>  Thu, 20 Nov 2025 14:47:32 +0800
